Page MenuHomePhabricator

Move layouts to separate demo page
Closed, ResolvedPublic

Description

Our demo is not making the best figures speed-wise. As of v0.24.0 we currently feature 6,578 DOM nodes on the “Widgets” page. A general recommendation target is < 1,500 DOM nodes.

One idea is to move layouts to it's own page.

Outcome

  • Clearer structure
  • Reduced DOM nodes: 5,735

Details

Related Gerrit Patches:

Event Timeline

Volker_E created this task.Oct 24 2017, 8:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 8:18 PM

Another idea would be to only dynamically insert one of 194 demo-console-expanded instances and it's 8 DOM child nodes.

matmarex removed a subscriber: matmarex.Nov 4 2017, 10:56 PM

Change 511044 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [WIP] demos: Move 'layouts' to a specific page

https://gerrit.wikimedia.org/r/511044

Change 511044 merged by jenkins-bot:
[oojs/ui@master] demos: Move 'layouts' to a specific page in demos

https://gerrit.wikimedia.org/r/511044

TheDJ closed this task as Resolved.May 19 2019, 4:58 PM
TheDJ assigned this task to Volker_E.
TheDJ removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)May 20 2019, 11:17 AM
Volker_E moved this task from Backlog to OOUI-0.32.0 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.32.0); removed OOUI.

Change 513020 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

Change 513020 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020